Skip to main content
POST
Create a knowledge download capability

Authorizations

Authorization
string
header
required

Organization-scoped Auth0 user access token issued to an approved first-party client or exchanged by a trusted OBO resource server.

Path Parameters

id
string
required

Opaque Arbol resource identifier; the endpoint and tenant-scoped lookup determine its resource type.

Maximum string length: 64
Pattern: ^[a-z][a-z0-9]{1,15}_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"agt_018f47a2-4f4d-7d61-9e2c-1d7b8e9a0c31"

Body

application/json

The body is of type object.

Response

OK

expiresAt
string<date-time>
required

ISO 8601 timestamp with an explicit UTC offset.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
Example:

"2026-08-29T14:30:00Z"

fileName
string
required
Required string length: 1 - 255
mediaType
enum<string>
required

Accepted source media type for Knowledge ingestion.

Available options:
application/pdf,
text/plain,
text/markdown,
text/html,
application/vnd.openxmlformats-officedocument.wordprocessingml.document
Example:

"application/pdf"

url
string<uri>
required
Maximum string length: 4096